part of ngx_core;

/// An injection token representing the application configuration.
class ConfigToken extends OpaqueToken<Map<String, Object>> {

  /// Creates a new configuration token.
  const ConfigToken();
}

/// An injection token representing the application environment.
class EnvToken extends OpaqueToken<String> {

  /// Creates a new environment token.
  const EnvToken();
}

/// The factory function retrieving the instance of the current HTML document.
dom.HtmlDocument documentFactory() => dom.document;

/// The factory function retrieving the instance of the browser's window.
dom.Window windowFactory() => dom.window;
